> ## Documentation Index
> Fetch the complete documentation index at: https://developers.referralful.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a payout



## OpenAPI

````yaml /openapi.json get /payouts/{id}
openapi: 3.1.0
info:
  title: Referralful API
  version: 1.0.0
  description: Rewardful-compatible REST API for affiliate programs built on Stripe.
servers:
  - url: https://api.referralful.com/v1
security:
  - basicAuth: []
paths:
  /payouts/{id}:
    get:
      summary: Retrieve a payout
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Payout'
components:
  schemas:
    Payout:
      type: object
      properties:
        id:
          type: string
        object:
          type: string
          example: payout
        state:
          type: string
          enum:
            - pending
            - paid
        currency:
          type: string
        amount:
          type: integer
          description: Amount in cents.
        paid_at:
          type: string
          format: date-time
          nullable: true
        affiliate_id:
          type: string
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Use your API secret as the username, with an empty password.

````